/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package specialistintern

import (
	e "simrs-vx/internal/domain/main-entities/specialist-intern"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.SpecialistIntern) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Person_Id = inputSrc.Person_Id
	data.Specialist_Code = inputSrc.Specialist_Code
	data.Subspecialist_Code = inputSrc.Subspecialist_Code
	data.User_Id = inputSrc.User_Id
}
